<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'Blurb',
  props: {
    header: {
      type: String,
      required: true,
    },
    text: {
      type: String,
      required: true,
    },
    cta: {
      type: Object,
      required: false,
      default: null,
    },
    note: {
      type: String,
      required: false,
      default: '',
    },
  },
});
</script>

<template>
  <SlpContainer>
    <SlpRow class="world-tour-blurb">
      <SlpTypography variant="heading4-bold" tag="h4" class="slp-pb-24">
        {{ header }}
      </SlpTypography>

      <div class="world-tour-blurb__text" v-html="$md.render(text)"></div>

      <SlpButton
        v-if="cta?.externalUrl"
        :href="cta.externalUrl"
        variant="primary"
      >
        {{ cta.text }}
      </SlpButton>
      <p v-if="note" class="note slp-mt-32" v-html="$md.render(note)"></p>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.world-tour-blurb {
  margin-bottom: $spacing-96;

  &__text {
    font-size: 20px;
    font-weight: 400;
    line-height: 24px;
    :deep {
      strong {
        font-weight: 600;
      }
      p {
        margin: 24px auto;
      }
      em {
        font-size: 16px;
        font-weight: 600;
        line-height: 24px;
        font-style: normal;
      }
    }
  }

  .note {
    font-weight: $font-weight-bold;
  }
}
</style>
